#
# spec file for package ofed (Version 1.2.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt quilt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           ofed
Group:          System/Base
Summary:        Infiniband Kernel Modules
Version:        1.2.5
Release:        18.1
Source:         ofa_kernel-1.2.5.tgz
Source1:        conf.modutils
Source2:        conf.ifcfg
Source3:        conf.sysconfig
Source4:        info
Source5:        ofed-docs-1.2.5.tar.bz2
Patch0:         ofed-1.2-init.patch
Url:            http://www.openfabrics.org
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  kernel-source kernel-syms module-init-tools quilt
PreReq:         %fillup_prereq %insserv_prereq
ExclusiveArch:  %ix86 x86_64 ppc64 ia64
%suse_kernel_module_package um xen xenpae iseries64

%description
This package contains infiniband kernel modules built from the
OpenFabrics Enterprise Distribution (OFED).



%package doc
License:        GPL v2 or later
Summary:        OFED documentation
Group:          System/Kernel

%description doc
OpenFabrics documentation



%package KMP
License:        GPL v2 or later
Summary:        Infiniband Kernel Modules
Group:          System/Base

%description KMP
This package contains infiniband kernel modules built from the
OpenFabrics Enterprise Distribution (OFED).



%prep
%setup -q -n ofa_kernel-1.2.5 -a 5
%patch0
set -- *
mkdir source
mv "$@" source/
mkdir obj
cp %{S:1} %{S:2} %{S:3} %{S:4} .

%build
%define kver %(echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' kernel-source`|sed 's/_/-/g;')
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -ar source obj/$flavor
    pushd obj/$flavor
    ./configure --with-core-mod --with-ipoib-mod --with-sdp-mod \
		--with-srp-mod --with-user_mad-mod --with-user_access-mod \
		--with-addr_trans-mod --with-mthca-mod --with-iser-mod \
		--with-rds-mod --with-madeye-mod --with-vnic-mod \
		--with-vnic_stats-mod --with-cxgb3-mod --with-mlx4-mod \
%ifarch x86_64 ppc64
		--with-ipath_inf-mod \
%endif 
		--kernel-version=%kver-$flavor --kernel-sources=/usr/src/linux-obj/%_target_cpu/$flavor
    make
    popd
done

%install
export NO_BRP_STALE_LINK_ERROR=yes
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
     make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor
done
# install the modutils configuration
install -D conf.modutils ${RPM_BUILD_ROOT}%_sysconfdir/modprobe.d/infiniband
# install the UDEV rules
install -D source/ofed_scripts/90-ib.rules ${RPM_BUILD_ROOT}%_sysconfdir/udev/rules.d/90-ib.rules
# install the ifup network configurations
install -D conf.ifcfg ${RPM_BUILD_ROOT}%_sysconfdir/sysconfig/network/ifcfg-ib0 
install -D conf.ifcfg ${RPM_BUILD_ROOT}%_sysconfdir/sysconfig/network/ifcfg-ib1 
# install the sysconfig file and make a compat link
install -m 700 -D conf.sysconfig ${RPM_BUILD_ROOT}/var/adm/fillup-templates/sysconfig.infiniband
install -d ${RPM_BUILD_ROOT}/%_sysconfdir/infiniband
ln -s %_sysconfdir/sysconfig/infiniband ${RPM_BUILD_ROOT}/%_sysconfdir/infiniband/openib.conf
# install the init script
install -m 755 -D source/ofed_scripts/openibd ${RPM_BUILD_ROOT}%_sysconfdir/init.d/openibd
# install the info script
sed 's/VERSION/%kver/' info > ${RPM_BUILD_ROOT}/%_sysconfdir/infiniband/info
chmod 755 ${RPM_BUILD_ROOT}/%_sysconfdir/infiniband/info

%clean
rm -rf %buildroot

%post
%{fillup_and_insserv -n -y infiniband openibd}

%postun
%restart_on_update openibd
%insserv_cleanup

%preun
%stop_on_removal openibd

%files
%defattr(-, root, root)
%_sysconfdir/infiniband
%config %_sysconfdir/modprobe.d/infiniband
%_sysconfdir/udev
%config %_sysconfdir/sysconfig/network/ifcfg-ib*
/var/adm/fillup-templates/sysconfig.infiniband
%_sysconfdir/init.d/openibd

%files doc
%defattr(-, root, root)
%doc source/ofed-docs-1.2.5/*

%changelog
* Mon Aug 20 2007 - hvogel@suse.de
- Update to OFED 1.2.5 version
- enabled mlx4 module build
- Added ppc64 and ia64 to exclusivearch
- Added %%preun stop_on_removal
* Tue Aug 07 2007 - hvogel@suse.de
- Update to OFED 1.2c version
* Fri Aug 03 2007 - jblunck@suse.de
- Exclusive build for i386, x86_64 and ppc
* Fri Aug 03 2007 - jblunck@suse.de
- Disable KMP for iseries64
* Mon Jul 23 2007 - hvogel@suse.de
- Disable VNIC by default
* Fri Jul 20 2007 - hvogel@suse.de
- Disable IPATH by default
* Thu Jul 19 2007 - hvogel@suse.de
- Fix sysconfig template name
- Enable the the mellanox adapter by default
* Mon Jul 16 2007 - hvogel@suse.de
- The doc subpackage is called -doc and not -docs
* Thu Jul 12 2007 - hvogel@suse.de
- Rename main package to ofed
- Create ofed-docs as subpackage
- include
  * udev rules
  * ifup infiniband configurations
  * sysconfig file
  * init script
  * info script
  * modutils configuration
* Wed Jul 04 2007 - hvogel@suse.de
- Add GPL COPYING file [#289177]
* Fri Jun 22 2007 - hvogel@suse.de
- Initial Package, Version 1.2
